
[spec]

; Format and options of this spec file:
options = "+spec3"

[info]

artists = "
    Tim F. Smith <yoohootim@hotmail.com>
    Andreas Røsdal <andrearo@pvv.ntnu.no> (iso-hex mode)
    Daniel Speyer <dspeyer@users.sf.net>
    Tommy <yobbo3@hotmail.com> (hex mode)
"

[file]
gfx = "hex2t/small-tiles"

[grid_main]

x_top_left = 1
y_top_left = 1
dx = 28
dy = 48
pixel_border = 1

tiles = { "row", "column","tag"

; roads

 0, 0, "r.road_n"
 0, 1, "r.road_ne"
 0, 2, "r.road_e"
 0, 7, "r.road_se"
 0, 3, "r.road_s"
 0, 4, "r.road_sw"
 0, 5, "r.road_w"
 0, 6, "r.road_nw"

 0, 8, "r.road_isolated"

; rails

 1, 0, "r.rail_n"
 1, 1, "r.rail_ne"
 1, 2, "r.rail_e"
 1, 7, "r.rail_se"
 1, 3, "r.rail_s"
 1, 4, "r.rail_sw"
 1, 5, "r.rail_w"
 1, 6, "r.rail_nw"

 1, 8, "r.rail_isolated"


; terrain : if more t.whateverN are given it picks one randomly for each tile.
;  for example with t.ocean1 and t.ocean2.
;  ... actually in this tileset it doesn't even use these
;      as the second ocean layer is drawn over the top of them
;      but it's useful to know ...

  0, 9, "t.desert1"
  1, 9, "t.plains1"
  2, 9, "t.grassland1"
  3, 9, "t.forest1"
  2, 9, "t.hills1"
  2, 9, "t.mountains1"
  6, 9, "t.tundra1"
  7, 9, "t.arctic1"
  8, 9, "t.swamp1"
  9, 9, "t.jungle1"

  8, 12, "t.ocean1"
  8, 13, "t.ocean2"

; Terrain special resources:

  0, 10, "ts.oasis"
  0, 11, "ts.oil"
  1, 10, "ts.buffalo"
  1, 11, "ts.wheat"
  2, 11, "ts.grassland_resources", "ts.river_resources"
  3, 10, "ts.pheasant"
  3, 11, "ts.silk"
  4, 10, "ts.coal"
  4, 11, "ts.wine"
  5, 10, "ts.gold"
  5, 11, "ts.iron"
  6, 10, "ts.tundra_game"
  6, 11, "ts.furs"
  7, 10, "ts.arctic_ivory"
  7, 11, "ts.arctic_oil"
  8, 10, "ts.peat"
  8, 11, "ts.spice"
  9, 10, "ts.gems"
  9, 11, "ts.fruit"

  5, 12, "ts.seals"
  6, 12, "ts.forest_game"
  7, 12, "ts.horses"

  8, 14, "ts.fish"
  8, 15, "ts.whales"

; extras

  0, 13, "tx.oil_mine" 
  0, 12, "tx.mine"
  1, 12, "tx.irrigation"
  1, 13, "tx.farmland"
  2, 12, "tx.pollution"
  2, 13, "tx.fallout"
  3, 13, "tx.village"

; random stuff

  0, 14, "t.dither_tile"
  0, 14, "tx.darkness"
  1, 14, "tx.fog"
  2, 14, "t.black_tile"
  3, 14, "t.coast_color"

  4, 14, "user.attention"

; darkness

  0, 15, "tx.darkness_n"
  0, 16, "tx.darkness_ne"
  1, 15, "tx.darkness_e"
  1, 16, "tx.darkness_s"
  2, 15, "tx.darkness_sw"
  2, 16, "tx.darkness_w"

; Unit upkeep in city dialog:
; These should probably be handled differently and have
; a different size...

  5, 1, "upkeep.shield"
  5, 2, "upkeep.gold"
  5, 3, "upkeep.gold2"

  5, 5, "upkeep.food"
  5, 6, "upkeep.food2"
  5, 7, "upkeep.unhappy"
  5, 8, "upkeep.unhappy2"

}



